## Index

### Classes

- Create

### Interfaces

- ICreate
- IPushPull

### Variables

- api
- auth
- config
- crypto
- helpers
- keys
- storage
- tracking
- utils

### Functions

- ScriptLoader

### Object literals

- ipushpull

## Variables

### Const api

api: IApiService = new Api(config, storage)

- Defined in index.ts:53

### Const auth

auth: IAuthService = new Auth(config, api, storage)

- Defined in index.ts:55

### Const config

config: IConfig = new Config()

- Defined in index.ts:51

### Const crypto

crypto: ICryptoService = new Crypto()

- Defined in index.ts:54

### Const helpers

helpers: IHelpers = new Helpers()

- Defined in index.ts:56

### Const keys

keys: IKeysService = new Keys(storage)

- Defined in index.ts:59

### Const storage

storage: IStorageService = new StorageService(config) as IStorageService

- Defined in index.ts:52

### Const tracking

tracking: ITracking = new Tracking(storage)

- Defined in index.ts:58

### Const utils

utils: IUtils = new Utils()

- Defined in index.ts:57

## Functions

### Const ScriptLoader

- ScriptLoader(url: string): void

- - Defined in index.ts:42

  #### Parameters

  - ##### url: string

  #### Returns void

## Object literals

### Let ipushpull

ipushpull: object

- Defined in index.ts:146

### Clipboard

Clipboard: Clipboard

- Defined in index.ts:153

### Create

Create: Create

- Defined in index.ts:148

### Functions

Functions: Functions

- Defined in index.ts:152

### Grid

Grid: Grid

- Defined in index.ts:150

### Page

Page: Page

- Defined in index.ts:149

### Pdf

Pdf: Pdf

- Defined in index.ts:151

### PermissionRange

PermissionRange: PermissionRange

- Defined in index.ts:154

### ScriptLoader

ScriptLoader: ScriptLoader

- Defined in index.ts:155

### api

api: IApiService

- Defined in index.ts:147

### auth

auth: IAuthService

- Defined in index.ts:147

### config

config: IConfig

- Defined in index.ts:147

### crypto

crypto: ICryptoService

- Defined in index.ts:147

### helpers

helpers: IHelpers

- Defined in index.ts:147

### keys

keys: IKeysService

- Defined in index.ts:147

### storage

storage: IStorageService

- Defined in index.ts:147

### tracking

tracking: ITracking

- Defined in index.ts:147

### utils

utils: IUtils

- Defined in index.ts:147

Generated using TypeDoc